ZoneFiles

related to zone files

Retrieve a zone file

get

Returns an exported zone file in BIND format (RFC 1035).

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
chevron-right
200

Successful operation.

text/plain
get
/zones/{zoneId}/zonefile

Updates a zone with a file

put

Updates a zone with zone file in BIND format (RFC 1035). All records in the zone are replaced with the ones provided.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Body
stringOptionalExample: ;Zone: example.com ;Exported: Wed Nov 13 10:30:14 UTC 2019 $ORIGIN example.com. $TTL 3600 @ 86400 IN SOA ns-de.1and1-dns.de. hostmaster.kundenserver.de. ( 2017012400 ; serial 28800 ; refresh 7200 ; retry 604800 ; expire 600 ) ; minimum autodiscover 7200 IN CNAME adsredir.1and1.info. @ 7200 IN NS ns-de.1and1-dns.org. @ 7200 IN NS ns-de.1and1-dns.com. @ 7200 IN NS ns-de.1and1-dns.biz. @ 7200 IN NS ns-de.1and1-dns.de. www IN A 127.0.0.2 _domainconnect 3600 IN CNAME _domainconnect.1and1.com.
Responses
chevron-right
200

Successful operation.

application/json
idstring · uuidRead-onlyRequired

The resource's unique identifier.

Example: 42b21ce3-6fc7-44af-b0c9-2aaadbf2b333
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
offsetnumberRead-onlyRequired

Pagination offset.

Example: 0
limitnumberRead-onlyRequired

Pagination limit.

Example: 1000
put
/zones/{zoneId}/zonefile

Last updated

Was this helpful?